Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - ffmpeg-full

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: ffmpeg-full 1:3.2.2-1

Git Clone URL: https://aur-dev.archlinux.org/ffmpeg-full.git (read-only)
Package Base: ffmpeg-full
Description: Complete solution to record, convert and stream audio and video (with all options)
Upstream URL: http://ffmpeg.org/
Licenses: GPL3, custom:unredistributable
Conflicts: ffmpeg, ffmpeg-full-git, ffmpeg-git
Provides: ffmpeg, libavcodec.so, libavdevice.so, libavfilter.so, libavformat.so, libavresample.so, libavutil.so, libpostproc.so, libswresample.so, libswscale.so
Submitter: rpolzer
Maintainer: isiachi
Last Packager: isiachi
Votes: 57
Popularity: 1.421754
First Submitted: 2013-01-24 11:17
Last Updated: 2016-12-07 22:27

Dependencies (87)

Required by (539)

Sources (4)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 ... Next › Last »

travnick commented on 2015-08-08 18:34

I wonder why "--disable-stripping". Are you going to debug the ffmpeg?

Nolhian commented on 2015-07-16 06:51

--enable-shared is listed twice in ./configure

isiachi commented on 2015-07-08 17:10

Removed decklink support

isiachi commented on 2015-05-16 09:49

@mitsakis Thanks

You can change the branch of libutvideo or just remove "--enable-libutvideo" from PKGBUILD.

PS
The correct branch is 15.1.0.

source=('git://github.com/qyot27/libutvideo.git#branch=15.1.0')

isiachi commented on 2015-05-16 09:49

@mitsakis Thanks

You can change the branch of libutvideo or just remove "--enable-libutvideo" from PKGBUILD.

PS
The correct branch is 15.0.1.

source=('git://github.com/qyot27/libutvideo.git#branch=15.0.1')

mitsakis commented on 2015-05-15 19:09

libutvideo-git is causing this issue

you have to edit libutvideo's PKGBUILD
replace this:
source=('git://github.com/qyot27/libutvideo.git#branch=buildsystem')
with this:
source=('git://github.com/qyot27/libutvideo.git#branch=1.5.1')

this is a temporary solution until this issue is fixed:
https://github.com/qyot27/libutvideo/issues/6

mitsakis commented on 2015-05-15 17:56

Doesn't compile:

libavcodec/libutvideodec.cpp:153:59: note: candidate is:
In file included from libavcodec/libutvideo.h:33:0,
from libavcodec/libutvideodec.cpp:32:
/usr/include/utvideo/Codec.h:48:17: note: virtual size_t CCodec::DecodeFrame(void*, const void*)
virtual size_t DecodeFrame(void *pOutput, const void *pInput) = 0;
^
/usr/include/utvideo/Codec.h:48:17: note: candidate expects 2 arguments, 3 provided
common.mak:60: recipe for target 'libavcodec/libutvideodec.o' failed
make: *** [libavcodec/libutvideodec.o] Error 1

Enverex commented on 2015-05-13 15:45

Doesn't compile:

error: no matching function for call to ‘CCodec::DecodeFrame(uint8_t*&, uint8_t*&, bool)’ utv->codec->DecodeFrame(utv->buffer, avpkt->data, true);

libavcodec/libutvideoenc.cpp:125:48: error: no matching function for call to ‘CCodec::EncodeGetExtraData(UtVideoExtra*&, int&, uint32_t&, int&, int&, size_t)’ CBGROSSWIDTH_WINDOWS);

FallenSnow commented on 2015-04-14 02:35

Doesn't work with the latest x265 library.

ffprobe: error while loading shared libraries: libx265.so.43: cannot open shared object file: No such file or directory

x265 1.6-1 provides libx265.so=51-64

isiachi commented on 2015-04-01 20:11

@Case_Of

I've already discovered about this missing dependency but I never update the PKGBUILD.

To build you have to install the ladspa package.

Update coming soon.